unit Send;

{******************************************************************************
 *
 *  ACMComponents
 *
 *
 *  Copyright(C) 2004 Mattia Massimo dhalsimmax@tin.it
 *  This file is part of ACMCOMPONENTS
 *
 *  ACMCOMPONENTS are free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *****************************************************************************}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Sockets, StdCtrls, Acm, IdBaseComponent, IdComponent, IdUDPBase,
  IdUDPClient;

type
  TSendFrm = class(TForm)
    Label1: TLabel;
    BytesLbl: TLabel;
    Label3: TLabel;
    HostLbl: TLabel;
    Button1: TButton;
    Sock: TIdUDPClient;
    ACMIn1: TACMIn;
    ACMDlg1: TACMDlg;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure ACMIn1Data(Sender: TACMComponent; aDataPtr: Pointer;
      aDataSize: Cardinal);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    Bytes:Cardinal;
  public
    { Public declarations }
  end;

var
  SendFrm: TSendFrm;

implementation

{$R *.dfm}

procedure TSendFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
  AcmIn1.Active:=False;
end;

procedure TSendFrm.FormCreate(Sender: TObject);
begin
  Bytes:=0;
end;

procedure TSendFrm.ACMIn1Data(Sender: TACMComponent; aDataPtr: Pointer;
  aDataSize: Cardinal);
begin
  Sock.SendBuffer(aDataPtr^,aDataSize);
  Bytes:=Bytes+aDataSize;
  BytesLbl.Caption:=Format ('%u',[Bytes]);
  UpDate;
end;

procedure TSendFrm.Button1Click(Sender: TObject);
begin
  Close;
end;

end.
