unit recv;

{******************************************************************************
 *
 *  ACMComponents
 *
 *
 *  Copyright(C) 2004 Mattia Massimo dhalsimmax@tin.it
 *  This file is part of ACMCOMPONENTS
 *
 *  ACMCOMPONENTS are free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *****************************************************************************}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Sockets, Acm, IdBaseComponent, IdComponent, IdUDPBase,
  IdUDPServer,IDSocketHandle;

type
  TRecvFrm = class(TForm)
    Label3: TLabel;
    HostLbl: TLabel;
    Label1: TLabel;
    BytesLbl: TLabel;
    Button1: TButton;
    ACMDlg1: TACMDlg;
    ACMOut1: TACMOut;
    Sock: TIdUDPServer;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SockUDPRead(Sender: TObject; AData: TStream;
      ABinding: TIdSocketHandle);
  private 
    { Private declarations }
    Bytes:Cardinal;
  public
    { Public declarations }
  end;

var
  RecvFrm: TRecvFrm;

implementation

{$R *.dfm}

procedure TRecvFrm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=caFree;
  Sock.Active:=False;
end;

procedure TRecvFrm.FormCreate(Sender: TObject);
begin
  Bytes:=0;
end;

procedure TRecvFrm.Button1Click(Sender: TObject);
begin
  Close;
end;

procedure TRecvFrm.SockUDPRead(Sender: TObject; AData: TStream;
  ABinding: TIdSocketHandle);

begin
  ACMOut1.PlayBack(aData);
  Bytes:=Bytes+aData.Size;
  BytesLbl.Caption:=Format ('%u',[Bytes]);
  UpDate;
end;

end.
